Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231539 - TypeError: getMembers() takes at most 2 arguments
Summary: TypeError: getMembers() takes at most 2 arguments
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 21:38 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 19:36:54 UTC


Attachments (Terms of Use)
anaconda dump (deleted)
2007-03-08 21:38 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2007-03-08 21:38:31 UTC
Description of problem:

Traceback (most recent call first):
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 1075, in
_provideToPkg
    for txmbr in self.tsInfo.getMembers(None, TS_INSTALL_STATES):
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 1272, in
_checkInstall
    dep = self._provideToPkg(req)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 1122, in _mytsCheck
    ret.extend(self._checkInstall(txmbr))
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 1146, in
_resolveDeps
    deps = self._mytsCheck()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 537, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/anaconda/yuminstall.py", line 911, in doPostSelection
    (code, msgs) = self.ayum.buildTransaction()
  File "/usr/lib/anaconda/backend.py", line 237, in doPostSelection
    return anaconda.backend.doPostSelection(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/text.py", line 538, in run
    (step, instance) = anaconda.dispatch.currentStep()
  File "/usr/bin/anaconda", line 956, in <module>
    anaconda.intf.run(anaconda)
TypeError: getMembers() takes at most 2 arguments (3 given)

Local variables in innermost frame:
f: None
self: <yuminstall.AnacondaYum object at 0x8f209ac>
req: (u'libgssapi_krb5.so.2', None, (None, None, None))
r: libgssapi_krb5.so.2
v: (None, None, None)
po: krb5-libs - 1.6-1.i386
best: None


Version-Release number of selected component (if applicable):
11.2.0.31-1

Comment 1 Orion Poplawski 2007-03-08 21:38:31 UTC
Created attachment 149641 [details]
anaconda dump

Comment 2 Chris Lumens 2007-03-08 21:41:59 UTC
I believe I fixed this earlier today.  Please test with a tree containing
11.2.0.33 or later and let me know.

Comment 3 Orion Poplawski 2007-03-09 21:31:31 UTC
Still seen with 11.2.0.34-1

Comment 4 Chris Lumens 2007-03-12 18:17:23 UTC
I'm not seeing this with anaconda-11.2.0.35 and yum-3.1.4.

Comment 5 Orion Poplawski 2007-03-12 19:36:54 UTC
Me neither.


Note You need to log in before you can comment on or make changes to this bug.